Bug 483161 - Ensure that 'noac' and/or 'actimeo=0' turn off attribute caching
Ensure that 'noac' and/or 'actimeo=0' turn off attribute caching
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Dean Nelson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 16:49 EST by John Sobecki
Modified: 2011-02-18 09:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 09:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL 5.2 patch (590 bytes, patch)
2009-01-29 16:52 EST, John Sobecki
no flags Details | Diff

  None (edit)
Description John Sobecki 2009-01-29 16:49:37 EST
Description of problem:

There is a window where the nfs attribute actimeo=0 behaves like
actimeo=1. 

Version-Release number of selected component (if applicable):

RHEL 5.2 effected, RHEL 5.3 is patched.

Oracle Enterprise Linux 5.2 kernel-2.6.18-128.0.0.0.2.el5 and newer include
this fix.

How reproducible:

100% with C testcase.  Cannot reproduce with an Oracle database, and from
testing it does not cause database crashes.  

Steps to Reproduce:
1.  Setup 2 node rac with nfs mounted actimeo=0
2.  Run testcase
3.  Get failure
  
Actual results:

Filesize across cluster nodes not consistent. 

Expected results:

No caching of file attributes.

Additional info:

This is identical to BZ 446083.
Comment 1 John Sobecki 2009-01-29 16:52:50 EST
Created attachment 330407 [details]
RHEL 5.2 patch
Comment 2 John Sobecki 2009-01-30 10:37:25 EST
Clarification of the kernel versions:

  kernel-2.6.18-128 is RHEL 5.3 and already has the patch.
  kernel-2.6.18-92.1.22 is RHEL 5.2 and does not include the patch.
  kernel-2.6.18-92.1.22.0.1 is OEL 5.2 and does include the patch.

This BZ is filed to get this added to the next RHEL 5.2 errata. 

Thanks, John
Comment 4 Dean Nelson 2009-05-28 08:51:16 EDT
Jiri, this is a request to have a patch added by Peter Staubach to RHEL5.3 also added to RHEL5.2 z-stream.

Thanks,
Dean
Comment 5 Mike 2011-02-17 10:30:09 EST
When can we expect the fix for this bug to be available in a released kernel?
Comment 6 John Sobecki 2011-02-17 11:16:19 EST
Comment #2 above states:
  kernel-2.6.18-128 is RHEL 5.3 and already has the patch

They used another BZ to close it in 5.3:

  http://rhn.redhat.com/errata/RHSA-2009-0225.html
  450184 - Ensure that 'noac' and/or 'actimeo=0' turn off attribute caching

At the time I filed this bug, 5.2 was still active, hence my request to include it in a 5.2 errata..  which never happened but there is no need since 5.3+ has
the fix now.
Comment 7 Mike 2011-02-17 11:35:04 EST
Great, thanks John!
Comment 8 Dean Nelson 2011-02-18 09:30:57 EST
(In reply to comment #6)
> 
> At the time I filed this bug, 5.2 was still active, hence my request to include
> it in a 5.2 errata..  which never happened but there is no need since 5.3+ has
> the fix now.

Being that maintenance of RHEL5.2 has been deactivated, it is no longer possible to backport the requested patch. So I'm closing this bug as CANTFIX. But as was mentioned, the requested patch is in RHEL5.3 and following.

Note You need to log in before you can comment on or make changes to this bug.